Bug 223851 - Enable "hanging" and "each-line" keywords for the text-indent CSS property
Summary: Enable "hanging" and "each-line" keywords for the text-indent CSS property
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Antoine Quint
URL:
Keywords: InRadar, WebExposed
Depends on:
Blocks:
 
Reported: 2021-03-28 03:36 PDT by Antoine Quint
Modified: 2021-03-30 00:41 PDT (History)
12 users (show)

See Also:


Attachments
Patch (60.52 KB, patch)
2021-03-28 03:49 PDT, Antoine Quint
no flags Details | Formatted Diff | Diff
Patch (59.05 KB, patch)
2021-03-29 09:36 PDT, Antoine Quint
no flags Details | Formatted Diff | Diff
Patch (22.95 KB, patch)
2021-03-29 10:56 PDT, Antoine Quint
koivisto: review+
ews-feeder: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine Quint 2021-03-28 03:36:54 PDT
Enable "hanging" and "each-line" keywords for the text-indent CSS property
Comment 1 Antoine Quint 2021-03-28 03:39:06 PDT
The text-indent property has "hanging" and "each-line" keywords which we have code for behind the ENABLE_CSS3_TEXT flag. Chrome exposes them to the Web, and we have good support for it in WebKit that ought to be enabled.
Comment 2 Antoine Quint 2021-03-28 03:49:12 PDT
Created attachment 424490 [details]
Patch
Comment 3 Antti Koivisto 2021-03-28 12:32:02 PDT
Comment on attachment 424490 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=424490&action=review

> Source/WebCore/ChangeLog:13
> +        But LineWidth.cpp already knew how to handle these keywords, so there seems to be no reason to keep
> +        these behind a flag.

Is Alan ok with enabling this feature?
Comment 4 Antoine Quint 2021-03-29 09:36:40 PDT
Created attachment 424537 [details]
Patch
Comment 5 Antoine Quint 2021-03-29 10:56:07 PDT
Created attachment 424548 [details]
Patch
Comment 6 Antoine Quint 2021-03-30 00:41:00 PDT
Committed r275199 (235896@main): <https://commits.webkit.org/235896@main>
Comment 7 Radar WebKit Bug Importer 2021-03-30 00:41:13 PDT
<rdar://problem/75993897>